| Home | Libraries | People | FAQ | More

##### async_base::cancellation_slot_type

The type of cancellation_slot associated with this object.

###### Synopsis

    using cancellation_slot_type = beast::detail::filtering_cancellation_slot< net::associated_cancellation_slot_t< Handler > >;

###### Description

If a class derived from `async_base` is a completion handler, then the associated cancellation_slot of the derived class will be this type.

The default type is a filtering cancellation slot, that only allows terminal cancellation.